BASENC(1)

NUME
basenc - codifică/decodifică datele și le imprimă la ieșirea standard

SINOPSIS
basenc [OPȚIUNE]... [FIȘIER]

DESCRIERE

«basenc» codifică sau decodifică FIȘIER sau intrarea standard, la ieșirea standard.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

--base64
    la fel ca programul «base64» (RFC4648 secțiunea 4)

--base64url
    base64 sigur pentru fișiere și URL (RFC4648 secțiunea 5)

--base32
    la fel ca programul «base32» (RFC4648 secțiunea 6)

--base32hex
    extinde alfabetul hexazecimal al base32 (RFC4648 secțiunea 7)

--base16
    codificare hexazecimală (RFC4648 secțiunea 8)

--base2msbf
    șir de biți cu bitul cel mai semnificativ (msb) primul

--base2lsbf
    șir de biți cu bitul cel mai puțin semnificativ (lsb) primul

-d, --decode
    decodifică datele

-i, --ignore-garbage
    la decodificare, ignoră caracterele care nu sunt alfabetice

-w, --wrap=COLOANE
    încadrează liniile codificate după caracterul COLOANA (implicit 76). Utilizați 0 pentru a dezactiva încadrarea liniilor

--z85
    codificare asemănătoare cu ascii85 (ZeroMQ spec:32/Z85); la codificare, lungimea intrării trebuie să fie un multiplu de 4; la decodificare, lungimea intrării trebuie să fie un multiplu de 5

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

La decodificare, datele de intrare pot conține linii noi în plus față de octeții alfabetului formal. Utilizați --ignore-garbage pentru a încerca să recuperați orice alt octet care nu este alfabetic din fluxul codificat.

EXEMPLE DE CODIFICĂRI

    $ printf '\376\117\202' | basenc --base64
    /k+C

    $ printf '\376\117\202' | basenc --base64url
    _k-C

    $ printf '\376\117\202' | basenc --base32
    7ZHYE===

    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===

    $ printf '\376\117\202' | basenc --base16
    FE4F82

    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001

    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010

    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

AUTOR
Scris de Simon Josefsson și Assaf Gordon.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2024 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/basenc>
sau local rulând comanda: «info '(coreutils) basenc invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.